"use strict";
const current_config_1 = require("./current-config");
const path_1 = require("../library/path");
const id_file_1 = require("../library/id_file");
function getAllEnv(setName, withAbstract = false) {
    const dir = path_1.requireConfigSetPath(setName || current_config_1.getCurrentConfigSet());
    const envs = id_file_1.readIdFile(dir).environments;
    if (withAbstract) {
        return Object.keys(envs);
    }
    else {
        return Object.keys(envs).filter((name) => {
            return !envs[name].abstract;
        });
    }
}
exports.getAllEnv = getAllEnv;
//# sourceMappingURL=get-all-env.js.map