"use strict";
const error_1 = require("../library/error");
const path_1 = require("../library/path");
const id_file_1 = require("../library/id_file");
let cache;
function getEnvironmentMetaData(setName, environment) {
    if (!environment) {
        return {};
    }
    if (!cache) {
        const setPath = path_1.findConfigSetPath(setName);
        cache = id_file_1.readIdFile(setPath);
    }
    if (!cache.environments[environment]) {
        throw new error_1.default(`environment "${environment}" not defined`);
    }
    return {
        configSet: setName,
        name: environment,
        inherits: cache.environments[environment].inherits,
        abstract: cache.environments[environment].abstract,
    };
}
exports.getEnvironmentMetaData = getEnvironmentMetaData;
//# sourceMappingURL=get-env-meta.js.map