"use strict";
const fs_1 = require("fs");
const path_1 = require("path");
const json_1 = require("../library/json");
const path_2 = require("../library/path");
const error_1 = require("../library/error");
function getLocalConfigName() {
    const d = path_2.configSetPath('local', false);
    const idFile = path_1.resolve(d, 'environments.json');
    if (fs_1.existsSync(idFile)) {
        const install = json_1.readJsonFile(idFile);
        if (!install.name) {
            throw new error_1.default('local config set broken');
        }
        return install.name;
    }
    else {
        return false;
    }
}
exports.getLocalConfigName = getLocalConfigName;
//# sourceMappingURL=get-local-configset-name.js.map