"use strict";
const usage_1 = require("../actions/usage");
const create_configset_1 = require("../actions/create-configset");
const remote_1 = require("./remote");
const set_1 = require("./set");
function init(newName, gitUrl) {
    if (!newName) {
        throw usage_1.default();
    }
    if (newName === 'local' || newName === 'default') {
        console.error(`you can't use %s as name`, newName);
        return false;
    }
    const savePath = create_configset_1.createConfigSet(newName, this.global);
    console.log('new config set saved to %s', savePath);
    if (gitUrl) {
        remote_1.default.call(this, newName, gitUrl);
    }
    else {
        console.log('  configure remote storage with "jenv --remote git@github.com:/yourname/yourproject"');
    }
    if (!this['no-default']) {
        set_1.default.call(this, newName);
    }
    return !!savePath;
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = init;
//# sourceMappingURL=init.js.map