"use strict";
const error_1 = require("../library/error");
const path_1 = require("../library/path");
const id_file_1 = require("../library/id_file");
const fs_1 = require("fs");
const path_2 = require("path");
const output_1 = require("../library/output");
const current_1 = require("../library/current");
const get_all_env_1 = require("../actions/get-all-env");
function list(type) {
    type = type.toLowerCase();
    switch (type) {
        case 'env':
            if (output_1.prettyPrint) {
                console.error('available environments in current config set:');
            }
            const envList = get_all_env_1.getAllEnv(current_1.requireCurrentConfigSet());
            envList.forEach((name) => {
                pretty(name);
            });
            break;
        case 'set':
            if (output_1.prettyPrint) {
                console.error('available config set in this system:');
            }
            const list = [];
            const [localStorage, homeStorage] = path_1.configSetPath('.');
            test_print(localStorage);
            fs_1.readdirSync(homeStorage).forEach((name) => {
                test_print(path_2.resolve(homeStorage, name));
            });
            break;
        default:
            throw new error_1.default('Usage: \n   jenv --list set\n or\n   jenv --list env');
    }
    if (output_1.prettyPrint) {
        console.error('');
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = list;
function test_print(dir) {
    if (!fs_1.existsSync(dir)) {
        return;
    }
    try {
        const name = id_file_1.readIdFile(dir).name;
        if (name) {
            pretty(name);
        }
    }
    catch (e) {
        console.error('invalid storage: %s', dir);
    }
}
function pretty(name) {
    if (output_1.prettyPrint) {
        process.stderr.write('\t');
    }
    console.log(name);
}
//# sourceMappingURL=list.js.map