"use strict";
const tty_1 = require('tty');
const current_config_1 = require("../actions/current-config");
const read_env_1 = require("../actions/read-env");
const error_1 = require("../library/error");
function ls(envName) {
    envName = envName || current_config_1.getCurrentDefault();
    if (!envName) {
        throw new error_1.default('no default config. use "jenv --default" to set it. or specify a config name.');
    }
    const config = read_env_1.default(envName);
    if (tty_1.isatty(process.stdout.fd)) {
        console.log(require('util').inspect(config, { colors: true, depth: 999 }));
    }
    else {
        console.log(JSON.stringify(config, null, 4));
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ls;
//# sourceMappingURL=ls.js.map