"use strict";
const path_1 = require("../library/path");
const current_1 = require("../library/current");
const new_env_1 = require("../actions/new-env");
function new_env(name, base = undefined) {
    if (!/^[a-zA-Z0-9\-_]+$/.test(name)) {
        console.error('env name must be /[a-zA-Z0-9\-_]+/');
        return false;
    }
    if (name === 'local' || name === 'default') {
        console.error(`you can't use %s as environment name`, name);
        return false;
    }
    const path = path_1.requireConfigSetPath(current_1.requireCurrentConfigSet());
    return new_env_1.newEnvironment(path, name, base);
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = new_env;
//# sourceMappingURL=new.js.map