"use strict";
const current_config_1 = require("../actions/current-config");
const get_all_env_1 = require("../actions/get-all-env");
const path_1 = require("../library/path");
const git_1 = require("../library/git");
const get_local_configset_name_1 = require("../actions/get-local-configset-name");
function status() {
    const env = current_config_1.getCurrentDefault() || null;
    const set = current_config_1.getCurrentConfigSet() || null;
    const setPath = set ? path_1.requireConfigSetPath(set) : null;
    const envList = set ? get_all_env_1.getAllEnv(set) : [];
    const gitUrl = setPath ? try_gitremote(setPath) : null;
    if (this.json) {
        const data = {
            env,
            set,
            setPath,
            envList,
            gitUrl,
            local: get_local_configset_name_1.getLocalConfigName(),
        };
        console.log(JSON.stringify(data));
        return;
    }
    console.log(`
${t('current_set')}${set || t('not_set')}
${t('current_env')}${env || t('not_set')}
${t('configset_save_path')}${setPath || t('not_set')}
${t('configset_git_url')}${gitUrl || t('not_set')}

${t('available_env')}
  ${envList.length ? envList.join('\n  ') : t('zero_length')}
`);
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = status;
function try_gitremote(setPath) {
    try {
        return git_1.gitremote(setPath);
    }
    catch (e) {
        return t('not_set') + ' (' + t('how_to_set_git') + ')';
    }
}
//# sourceMappingURL=status.js.map