"use strict";
const fs_1 = require("fs");
const path_1 = require("path");
const mkdirp_1 = require("mkdirp");
const output_1 = require("./output");
function readJsonFile(file) {
    try {
        //noinspection TypeScriptUnresolvedFunction
        return JSON.parse(fs_1.readFileSync(file, 'utf-8'));
    }
    catch (e) {
        e.message += ` (in file ${file})`;
        throw e;
    }
}
exports.readJsonFile = readJsonFile;
function writeJsonFile(file, data) {
    let str = JSON.stringify(data, null, 8);
    str = str.replace(/^\s+/gm, function (m0) {
        return (new Array(Math.ceil(m0.length / 8))).fill('\t').join('');
    });
    try {
        if (output_1.prettyPrint) {
            console.error('<- %s', file);
        }
        const dir = path_1.dirname(file);
        if (!fs_1.existsSync(dir)) {
            console.error('<+ %s', dir);
            mkdirp_1.sync(dir);
        }
        fs_1.writeFileSync(file, str, 'utf-8');
        return true;
    }
    catch (e) {
        console.error(e.message);
        return false;
    }
}
exports.writeJsonFile = writeJsonFile;
//# sourceMappingURL=json.js.map