"use strict";
const path_1 = require("path");
const os_1 = require("os");
const fs_1 = require('fs');
const json_1 = require("./json");
const error_1 = require("./error");
const current_1 = require("./current");
function configSetPath(envName, isGlobal) {
    const local = path_1.resolve(process.cwd(), '.jsonenv/local');
    const home = path_1.resolve(os_1.homedir(), '.jsonenv', envName);
    if (isGlobal === true) {
        return home;
    }
    else if (isGlobal === false) {
        return local;
    }
    else {
        return [local, home];
    }
}
exports.configSetPath = configSetPath;
function findConfigSetPath(setName) {
    let dir;
    const found = configSetPath(setName).some((d) => {
        const idFile = path_1.resolve(d, `environments.json`);
        if (fs_1.existsSync(idFile)) {
            const install = json_1.readJsonFile(idFile);
            dir = d;
            return install.name === setName;
        }
    });
    if (found) {
        return dir;
    }
    else {
        return false;
    }
}
exports.findConfigSetPath = findConfigSetPath;
function requireConfigSetPath(configSetName) {
    if (!configSetName) {
        configSetName = current_1.getCurrentConfig().set;
        if (!configSetName) {
            throw new error_1.default('current config set not set');
        }
    }
    const path = findConfigSetPath(configSetName);
    if (!path) {
        throw new error_1.default(`config set "${configSetName}" not exists`);
    }
    return path;
}
exports.requireConfigSetPath = requireConfigSetPath;
//# sourceMappingURL=path.js.map