"use strict";
const os_1 = require("os");
const child_process_1 = require("child_process");
const output_1 = require("./output");
function shellSpawnSync(args) {
    if (args === 'shell') {
        args = [os_1.platform() === 'win32' ? 'cmd.exe' : 'bash'];
    }
    if (output_1.prettyPrint) {
        console.log('::: %s', args.join(' '));
    }
    const child = child_process_1.spawnSync(args[0], args.slice(1), {
        stdio: 'inherit',
        cwd: process.cwd(),
        env: process.env,
    });
    if (child) {
        if (child.error) {
            console.error(`can't run command "${args[0]}"\n  %s`, child.error.message);
            return child.status || 127;
        }
        else {
            return child.status;
        }
    }
    else {
        console.error(`can't run command "${args[0]}"`);
        return 127;
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = shellSpawnSync;
;
//# sourceMappingURL=shell.js.map