"use strict";
const child_process_1 = require("child_process");
const output_1 = require("./output");
const extend = require('util')._extend;
const env_english = extend({}, process.env);
env_english.LANG = 'en_US.utf-8';
function nodeExecSync(command, path, input = '') {
    if (output_1.prettyPrint) {
        console.error('::: ', command);
    }
    return child_process_1.execSync(command, {
        cwd: path,
        stdio: 'pipe',
        encoding: 'utf-8',
        env: env_english,
        input: input
    }).toString('utf-8').trim();
}
exports.nodeExecSync = nodeExecSync;
function nodeSpawnSync(cmd, args, options = {}) {
    if (typeof options === 'string') {
        options = {
            cwd: options,
            stdio: 'inherit',
            env: env_english,
        };
    }
    else {
        options.stdio = 'inherit';
        options.env = env_english;
    }
    if (output_1.prettyPrint) {
        console.error('::: ', cmd, args.join(' '));
    }
    const ret = child_process_1.spawnSync(cmd, args, options);
    return ret.status === 0;
}
exports.nodeSpawnSync = nodeSpawnSync;
//# sourceMappingURL=spawn-sync.js.map