"use strict";
const path_1 = require('path');
const usage_1 = require('./actions/usage');
module.exports = (command, args, options) => {
    const commandFile = path_1.resolve(__dirname, `commands/${command}`);
    let HandlerFunction;
    try {
        HandlerFunction = require(commandFile).default;
    }
    catch (e) {
        console.error(`unknown command "${command}"`);
        console.error(`\t${e.message}`);
        throw usage_1.default();
    }
    const ret = HandlerFunction.apply(options, args);
    if (ret === true || ret === undefined) {
        return 0;
    }
    else if (ret === false) {
        return 1;
    }
    else {
        return ret;
    }
};
//# sourceMappingURL=run_command.js.map